<template>
  <div class="hello">
    <button @click="goNoKeep">不缓存</button>
    <button @click="goKeep">缓存</button>
    <button @click="goKeepA">A</button>
    <button @click="goKeepB">B</button>
    <button @click="goKeepC">C</button>
    <keep-alive include="A,B">
      <!-- <router-view v-if="$route.meta.keepAlive"/> -->
      <!-- 路由中的使用 -->
      <router-view />
      <BaseKeepalive/>
    </keep-alive>
    <!-- <router-view v-if="!$route.meta.keepAlive"/> -->
  </div>
</template>

<script>

import BaseKeepalive from './BaseKeepalive'

export default {
  name: 'HelloWorld',
  data () {
    return {
      msg: 'HelloWorld'
    }
  },
  created(){
    
  },
  components:{
    BaseKeepalive
  },
  methods:{
    goKeep(){
        this.$router.push({
            name:'KeepaliveComponent'
        })
    },
    goKeepA(){
        this.$router.push({
            name:'A'
        })
    },
    goKeepB(){
        this.$router.push({
            name:'B'
        })
    },
    goKeepC(){
        this.$router.push({
            name:'C'
        })
    },
    goNoKeep(){
      this.$router.push({
        name:'NoKeepaliveComponent'
      })
    }
  }
}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>

</style>
